# KIMA2
**KIMA2** ist ein kleines Kassenprogramm für Kindersachenmärkte.

## Funktionsweise
Es können Verkäufer angelegt bzw. importiert werden. Diese erhalten eindeutige Verkäufernummern.
Über diese Verkäufernummern können beim Verkaufsvorgang dann die Verkaufsartikel ad-hoc angelegt
und dem jeweiligen Verkäufer zugeordnet werden. Dabei ist der auf dem Verkaufszettel hinterlegte
Preis einzugeben.

KIMA2 erlaubt es, mehrere Kassen zu betreiben und die Verkäuferdaten vor Verkaufsstart bzw. die
Verkaufsdaten nach dem Verkaufsende auszutauschen.

Ebenso können über einen ESC/POS-Drucker Quittungen ausgestellt werden.

## Installation
Auf [rustysoft.de](https://www.rustysoft.de/software/kima2/) werden die Installationsmöglichkeiten (Flatpak, Windows-Installer) erläutert. Bitte die Hinweise dort beachten.

## Selbst compilieren
KIMA2 benötigt folgende Libraries:
* Qt 6
* boost >= 1.80
* libusb-1.0
* nlohmann-json (als 3rdparty submodule vorhanden)

Da Features aus C++20 sowie von neueren Compilern verwendet werden, sollte als Compiler mindestens GCC 14 verwendet werden.

Die Installationsschritte unter Linux sind wie folgt:
```
cd kima2-cpp
mkdir build && cd build
cmake -DCMAKE_BUILD_TYPE=Release ..
make
sudo make install
```

Unter Windows muss vorab MinGW eingerichtet werden (z. B. MSYS2). Nach der Compilierung kann mit
`cpack -G NSIS` ein Installationspaket erstellt werden.
