#include "mainwindow.h"

#include "settingsdialog.h"
#include <QApplication>
#include <QDir>
#include <QLibraryInfo>
#include <QMessageBox>
#include <QSettings>
#include <QSharedMemory>
#include <QStyleFactory>
#include <QTranslator>

#include <singleapplication.h>
#include <stdexcept>

using namespace Qt::Literals::StringLiterals;

int main(int argc, char *argv[])
{
    SingleApplication kimaApp(argc, argv, false, SingleApplication::Mode::User | SingleApplication::ExcludeAppPath | SingleApplication::ExcludeAppVersion);

    // QCoreApplication::setOrganizationName("RustySoft");
    QCoreApplication::setOrganizationDomain("rustysoft.de");
    QCoreApplication::setApplicationName("kima2");

    QTranslator qtTranslator;

    if (qtTranslator.load(QLocale::system(), u"qtbase"_s, u"_"_s,
                         QLibraryInfo::path(QLibraryInfo::TranslationsPath))) {
        kimaApp.installTranslator(&qtTranslator);
    }

    QSettings settings{};
    while (!settings.contains("global/cashPointNo")) {
        QMessageBox(QMessageBox::Icon::Information, "Erster Start von KIMA2",
                    "Es wurden keine Einstellungen gefunden. Vermutlich starteten Sie KIMA2 zum "
                    "ersten Mal. Bitte legen Sie nun die Einstellungen fest.",
                    QMessageBox::StandardButton::Ok)
            .exec();
        SettingsDialog().exec();
    }

    auto mainWin = std::make_unique<MainWindow>();
    mainWin->show();

    return kimaApp.exec();
}
